netwire-5.0.3: Functional reactive programming library

Copyright | (c) 2013 Ertugrul Soeylemez
License | BSD3
Maintainer | Ertugrul Soeylemez <es@ertes.de>
Safe Haskell | None
Language | Haskell2010

Control.Wire.Time

Contents

- Time wires

Description

Synopsis

- time :: forall t s e (m :: Type -> Type) a. HasTime t s => Wire s e m a t
- timeF :: forall b t s (m :: Type -> Type) e a. (Fractional b, HasTime t s, Monad m) => Wire s e m a b
- timeFrom :: forall t s e (m :: Type -> Type) a. HasTime t s => t -> Wire s e m a t

# Time wires

time :: forall t s e (m :: Type -> Type) a. HasTime t s => Wire s e m a t Source #

Local time starting from zero.

timeF :: forall b t s (m :: Type -> Type) e a. (Fractional b, HasTime t s, Monad m) => Wire s e m a b Source #

Local time starting from zero, converted to your favorite fractional type.

timeFrom :: forall t s e (m :: Type -> Type) a. HasTime t s => t -> Wire s e m a t Source #

Local time starting from the given value.